Bug 85962 - Allow building on win32/win64
Summary: Allow building on win32/win64
Status: RESOLVED FIXED
Alias: None
Product: nice
Classification: Unclassified
Component: General (show other bugs)
Version: unspecified
Hardware: Other All
: medium normal
Assignee: Olivier Crête
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-11-06 11:59 UTC by Nirbheek Chauhan
Modified: 2015-04-17 18:51 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
Disable static by default, and add win32 DLL support (1.24 KB, patch)
2014-11-06 11:59 UTC, Nirbheek Chauhan
Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nirbheek Chauhan 2014-11-06 11:59:05 UTC
Created attachment 109024 [details] [review]
Disable static by default, and add win32 DLL  support

The attached patch ensures that the same options are passed to LT_INIT as GStreamer itself, which tells libtool to generate DLLs when compiling for Windows instead of just static .a archives. Also requires -no-undefined to be passed in LDFLAGS.
Comment 1 Olivier Crête 2015-03-28 00:00:50 UTC
Merged

commit 019ff35266aed4a1e8dd89109ed9532872f0034d
Author: Nirbheek Chauhan <nirbheek@centricular.com>
Date:   Thu Nov 6 16:16:51 2014 +0530

    configure: Disable static by default, and add win32 DLL support
    
    https://bugs.freedesktop.org/show_bug.cgi?id=85962


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.